#include <QGuiApplication>
#include <QQmlApplicationEngine>

#include "model-qt/QQuickPaintedItem/ChartView/EVChartView.h"
#include "model-qt/QQuickPaintedItem/Dashboard/Dashboard.h"

//注册到qml中使用
void initRegester()
{
    qmlRegisterType<Dashboard>("Zs.model", 1, 0, "Dashboard");
    qmlRegisterType<EVChartView>("Zs.model", 1, 0, "EVChartView");
}

int main(int argc, char *argv[])
{
    QCoreApplication::setAttribute(Qt::AA_EnableHighDpiScaling);

    QGuiApplication app(argc, argv);

    QQmlApplicationEngine engine;

    initRegester();

    const QUrl url(QStringLiteral("qrc:/qml/main.qml"));
    QObject::connect(&engine, &QQmlApplicationEngine::objectCreated,
                     &app, [url](QObject *obj, const QUrl &objUrl) {
        if (!obj && url == objUrl)
            QCoreApplication::exit(-1);
    }, Qt::QueuedConnection);
    engine.load(url);

    return app.exec();
}
