import QtQuick 2.12
import QtQuick.Window 2.12
import QtQuick.Controls 2.12

Window {
    visible: true
    width: 800
    height:600
    title: qsTr("样例")
    ListView{
        id:listView
        width: 150
        x:0
        y:0
        height: parent.height
        model: modelComponent.modeDataText
        clip: true
        ScrollBar.vertical: ScrollBar {active: true}
        delegate: Rectangle{
            width: parent.width
            height: 30
            color:listView.currentIndex == index?"#003891": "#999999"
            Text {
                anchors.centerIn: parent
                text: modelData
                color: "white"
                font.pointSize: 12
                font.family: "微软雅黑"
            }
            MouseArea{
                anchors.fill: parent
                hoverEnabled: true
                onClicked: {
                    listView.currentIndex = index
                    modelComponent.listViewIndexChange(index)
                }
            }
        }
    }

    ModelComponent{
        id:modelComponent
        width: parent.width-listView.width
        height: parent.height
        anchors.left: listView.right
        color: "white"
        border.color: "#666666"
    }
}
