import QtQuick 2.0
import QtQuick.Controls 2.12
import QtQuick.Layouts 1.12

import Zs.model 1.0

Rectangle{
    width: parent.width
    height: parent.height

    property var modeDataText: ["仪表盘","折线图"]

    Column{
        anchors.fill: parent
        spacing: 10

        Rectangle{
            width: parent.width
            height: 30
            ListView{
                id:listView
                width: parent.width
                height: parent.height
                x:0
                y:0
                model:modeDataText
                clip: true
                orientation:ListView.Horizontal
                //                ScrollBar.horizontal: ScrollBar {active: true}
                delegate: Rectangle{
                    width: 60
                    height: 30
                    color:listView.currentIndex == index?"#003891": "#999999"
                    Text {
                        anchors.centerIn: parent
                        text: modelData
                        color: "white"
                        font.pointSize: 10
                        font.family: "微软雅黑"
                    }
                    MouseArea{
                        anchors.fill: parent
                        hoverEnabled: true

                        onClicked: {
                            listView.currentIndex = index
                            if(index == 1)
                            {
                                sddddd.startTest()
                            }
                        }
                    }
                }
            }
        }

        StackLayout{
            width: parent.width
            height: parent.height-100
            currentIndex:listView.currentIndex
            Dashboard{
                width:parent.width
                height:  parent.height
            }
            EVChartView{
                id:sddddd
                width:parent.width
                height:  parent.height-200
                vTickCount: 8
                hTickCount:5
                headerTxt: "折线图"
                headerTxtColor: "red"
                leftDisplayWidth: (120)
                rightDisplayWidth: (60)
                bottomHeight: (30)
                headerHeight: (30)
                yMin: -5
                yMax: 5
                xMin: 0
                xMax: 24000
                leftLabel:"Voltage.V"
            }
        }
    }
}
